Authentication

Request password reset (project-based, OTP)

When projectId is provided, sends a 6-digit OTP to the user's email (project-based reset uses OTP, not link). When projectId is omitted, sends a token link (org/platform local account). Rate limited.

AuthPublic
GroupAuthentication
Rate limitSee Rate Limits
POST/api/auth/local/password-reset

SDK setup

Create a client instance. No authentication is required for this endpoint.

import { Configuration, AuthenticationApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
});

const authentication = new AuthenticationApi(configuration);
import { Configuration, AuthenticationApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
});

const authentication = new AuthenticationApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await authentication.requestLocalPasswordReset(
  {
    email: "camren.upton-swift@northwind.dev",
    projectId: "proj_CM9eBf22PEo4"
  }
);
const { data: result } = await authentication.requestLocalPasswordReset(
  {
    email: "camren.upton-swift@northwind.dev",
    projectId: "proj_CM9eBf22PEo4"
  }
);

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

No Request Yet

Send a request to see the full inspector

Authentication

Public — No Auth Required

Request Body

json
{
  "email": "user@example.com",
  "projectId": "685ad30be129932fbb7a1047"
}
{
  "email": "user@example.com",
  "projectId": "685ad30be129932fbb7a1047"
}

Responses

200OTP or reset email sent (generic message to prevent enumeration)
json
{
  "message": "If an account exists, a verification code has been sent to your email"
}
{
  "message": "If an account exists, a verification code has been sent to your email"
}
400
404
429Too many requests (rate limit)
500

Errors

CodeMeaning
400
404
429Too many requests (rate limit)
500
Edit this page on GitHub